#ifndef ANIMATION_H
#define ANIMATION_H

//const int charHeight = 16.0f;
//const int charWidth = 8.0f;

	
typedef struct {
	const char 		*str; // pointer to array of chars
	AABB2f 			aabb;// aabb for this frame.
	int				nChars;	// number of chars in one line
	int 			nLines; // number of lines
} AnimFrame;

typedef struct {
	AnimFrame		*animFrame;  	// pointer to array of AnimFrame:s
	unsigned int 	nAnimations;	  // number of frames in animation
	double			cycleTime;		  // time for one animation loop
	double			animTime;		  // current animation time
} Animation;

void createAnimFrames(Animation* anim, AnimFrame animFrames[], int w[], int h[], char* charData); // only used internally
void drawAnimation(Animation* animation, int frame, Vec2f pos, char* frameBuffer);
void createEnemy1(Animation* enemy);
void createPlayer1(Animation* player);
void createExplosion1(Animation* expl);
void createEnemyShot1(Animation* shot);
void createPlayerShot1(Animation* shot);
void createShotExpl1(Animation* shot);
#endif // ANIMATION_H