#ifndef ENEMIES_H
#define ENEMIES_H

#include "object.h"
#include "player.h"

extern float timeNextAttack;

typedef struct {
	Object o;	
} EnemyShot;

typedef struct {
	EnemyShot* shot;
	int l;  // length
} EnemyShotArray;

typedef struct {
	Object o;
	// motion parameters
	Vec2f rotSpeed[3]; 	// seconds. Three levels of rotations, {{1.0f/2.0f, 1.0f/3.0f}
	Vec2f radius[3]; 	// 100	
	double offset[3];	// start offset in circle [radians]
	float rotDir[3]; 	// +-1
	Vec2f radiusSpeed[3];	// speed that radius oscilates with
	double radiusOffs[3];	// offset of oscilation start
} Enemy;

typedef struct {
	Enemy* enemy;
	int l;	//length
} EnemyArray;

void insertMoreEnemies(float elapsedTime, EnemyArray* enemyArray); 
void updateEnemyShots(EnemyShotArray* enemyShots, double deltaTime);
void updateEnemies(EnemyArray* enemies, EnemyShotArray* enemyShots, Player* player, double deltaTime);
void drawEnemies(EnemyArray* enemies);
void drawEnemyShots(EnemyShotArray* enemyShots);

#endif // ENEMIES_H