#ifndef OBJECT_H
#define OBJECT_H

#include "vecmath.h"
#include "Animation.h"

typedef struct {
	Vec2f pos, prevPos; // for future dynamic collision detection, and for animations, we also store previous position
	Vec2f velocity;
	int	  health;
	double aliveTime;	// time the object has been alive so far. Negative means the object is not yet alive but will be.
	double deathTime; 	// time the object automatically will die (used now only by text objects)
	enum {LIVE=0, EXPLODING=1, DEAD=2} status;
	enum {UPDATE_POS_FROM_VEL=1, DEAD_OFF_SCREEN=2, CLAMP_TO_SCREEN=4, SCREEN_BORDER_BOUNCE=8, LETHAL_ON_EXPLODING=16} properties;
	Animation gfxData;		
	Animation explosionData;
} Object;

AABB2f getAABB(Object* o);

void drawObject(Object* o);

enum  {XBOUNCE=1, YBOUNCE=2, NEXT_VAL=4};
int updateObject(Object *o, double deltaTime);

int collDetectObjects(Object* o1, int structSize1, int nElems1, Object* _o2, int structSize2, int nElems2);

#endif // OBJECT_H
