#ifndef PLAYER_H
#define PLAYER_H

#include "object.h"

typedef struct {
	Object o;	
} PlayerShot;

typedef struct {
	PlayerShot* shot;
	int l;  // length
} PlayerShotArray;

typedef struct {
	Object o;
	int nHits;
	double fireDeltaTime; // minimum time between new shots (in seconds)
	double timePreviousShot;  // time stamp for prevous shot (in seconds)
} Player;

void updatePlayer(Player* player, double deltaTime); // deltaTime is fractions of a second since last frame
void updatePlayerShots(PlayerShotArray* playerShots, Player* player, double deltaTime, double currentTime);
void drawPlayer(Player* player);
void drawPlayerShots(PlayerShotArray* playerShots);

#endif // PLAYER_H