// vecmath.h
#ifndef VECMATH_H
#define VECMATH_H

#ifndef max
#define max(a,b) ((a)>(b)?(a):(b))
#endif
#ifndef min
#define min(a,b) ((a)<(b)?(a):(b))
#endif

typedef struct {
	union {
		float v[2];
		struct {float x, y;};
	};
} Vec2f;

typedef struct {
	Vec2f min;
	Vec2f max;
} AABB2f;  // axis-aligned bounding box

AABB2f Add(AABB2f* box, Vec2f v); // Adds vector v to min and max of box

int colliding(AABB2f *box1, AABB2f *box2);

#endif //VECMATH_H